# DataExchange
TKSTEP209
StepElement

# StepElement_Array2OfSurfaceElementPurposeMember Class Reference

`#include <StepElement_Array2OfSurfaceElementPurposeMember.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepElement_Array2OfSurfaceElementPurposeMember (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | StepElement_Array2OfSurfaceElementPurposeMember (const Handle(StepElement_SurfaceElementPurposeMember)&Item, const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT void | Init (const Handle(StepElement_SurfaceElementPurposeMember)&V)
Standard_EXPORT void | Destroy ()
| ~StepElement_Array2OfSurfaceElementPurposeMember ()
Standard_EXPORT const StepElement_Array2OfSurfaceElementPurposeMember & | Assign (const StepElement_Array2OfSurfaceElementPurposeMember &Other)
const StepElement_Array2OfSurfaceElementPurposeMember & | operator= (const StepElement_Array2OfSurfaceElementPurposeMember &Other)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Handle(StepElement_SurfaceElementPurposeMember)&Value)
const Handle_StepElement_SurfaceElementPurposeMember & | Value (const Standard_Integer Row, const Standard_Integer Col) const
const Handle_StepElement_SurfaceElementPurposeMember & | operator() (const Standard_Integer Row, const Standard_Integer Col) const
Handle_StepElement_SurfaceElementPurposeMember & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
Handle_StepElement_SurfaceElementPurposeMember & | operator() (const Standard_Integer Row, const Standard_Integer Col)

## Private Member Functions

Standard_EXPORT | StepElement_Array2OfSurfaceElementPurposeMember (const StepElement_Array2OfSurfaceElementPurposeMember &AnArray)
Standard_EXPORT void | Allocate ()

## Private Attributes

Standard_Integer | myLowerRow
Standard_Integer | myLowerColumn
Standard_Integer | myUpperRow
Standard_Integer | myUpperColumn
Standard_Boolean | myDeletable
Standard_Address | myData

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_Array2OfSurfaceElementPurposeMember::StepElement_Array2OfSurfaceElementPurposeMember | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT StepElement_Array2OfSurfaceElementPurposeMember::StepElement_Array2OfSurfaceElementPurposeMember | ( | const Handle(StepElement_SurfaceElementPurposeMember)& | Item,
|  | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

StepElement_Array2OfSurfaceElementPurposeMember::~StepElement_Array2OfSurfaceElementPurposeMember | ( |  | ) | `[inline]`

Standard_EXPORT StepElement_Array2OfSurfaceElementPurposeMember::StepElement_Array2OfSurfaceElementPurposeMember | ( | const StepElement_Array2OfSurfaceElementPurposeMember & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void StepElement_Array2OfSurfaceElementPurposeMember::Allocate | ( |  | ) | `[private]`

Standard_EXPORT const StepElement_Array2OfSurfaceElementPurposeMember& StepElement_Array2OfSurfaceElementPurposeMember::Assign | ( | const StepElement_Array2OfSurfaceElementPurposeMember & | Other | ) |

Handle_StepElement_SurfaceElementPurposeMember& StepElement_Array2OfSurfaceElementPurposeMember::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |

Standard_Integer StepElement_Array2OfSurfaceElementPurposeMember::ColLength | ( |  | ) | const

Standard_EXPORT void StepElement_Array2OfSurfaceElementPurposeMember::Destroy | ( |  | ) |

Standard_EXPORT void StepElement_Array2OfSurfaceElementPurposeMember::Init | ( | const Handle(StepElement_SurfaceElementPurposeMember)& | V | ) |

Standard_Integer StepElement_Array2OfSurfaceElementPurposeMember::LowerCol | ( |  | ) | const

Standard_Integer StepElement_Array2OfSurfaceElementPurposeMember::LowerRow | ( |  | ) | const

void StepElement_Array2OfSurfaceElementPurposeMember::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepElement_Array2OfSurfaceElementPurposeMember::operator new | ( | size_t | size | ) | `[inline]`

void* StepElement_Array2OfSurfaceElementPurposeMember::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_StepElement_SurfaceElementPurposeMember& StepElement_Array2OfSurfaceElementPurposeMember::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | `[inline]`

const Handle_StepElement_SurfaceElementPurposeMember& StepElement_Array2OfSurfaceElementPurposeMember::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const`[inline]`

const StepElement_Array2OfSurfaceElementPurposeMember& StepElement_Array2OfSurfaceElementPurposeMember::operator= | ( | const StepElement_Array2OfSurfaceElementPurposeMember & | Other | ) | `[inline]`

Standard_Integer StepElement_Array2OfSurfaceElementPurposeMember::RowLength | ( |  | ) | const

void StepElement_Array2OfSurfaceElementPurposeMember::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Handle(StepElement_SurfaceElementPurposeMember)& | Value
| ) |

Standard_Integer StepElement_Array2OfSurfaceElementPurposeMember::UpperCol | ( |  | ) | const

Standard_Integer StepElement_Array2OfSurfaceElementPurposeMember::UpperRow | ( |  | ) | const

const Handle_StepElement_SurfaceElementPurposeMember& StepElement_Array2OfSurfaceElementPurposeMember::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

Standard_Address StepElement_Array2OfSurfaceElementPurposeMember::myData `[private]`

Standard_Boolean StepElement_Array2OfSurfaceElementPurposeMember::myDeletable `[private]`

Standard_Integer StepElement_Array2OfSurfaceElementPurposeMember::myLowerColumn `[private]`

Standard_Integer StepElement_Array2OfSurfaceElementPurposeMember::myLowerRow `[private]`

Standard_Integer StepElement_Array2OfSurfaceElementPurposeMember::myUpperColumn `[private]`

Standard_Integer StepElement_Array2OfSurfaceElementPurposeMember::myUpperRow `[private]`

The documentation for this class was generated from the following file:

- StepElement_Array2OfSurfaceElementPurposeMember.hxx